#ifndef TSSFIX8DIGIT_H
#define TSSFIX8DIGIT_H

#include<stdio.h>
//---------------------------------------------------------------------------
/*     () 
  .
   2-  :
	-1		10
	 0		00
	 1		01
8-       32-  int. */
//---------------------------------------------------------------------------
static int  reduHighOct = 11184810, reduLowOct = 5592405,
			GetHalfTrit00Oct = 1,      GetHalfTrit01Oct = 2,      GetHalfTrit02Oct = 4,
            GetHalfTrit03Oct = 8,      GetHalfTrit04Oct = 16,     GetHalfTrit05Oct = 32,
            GetHalfTrit06Oct = 64,     GetHalfTrit07Oct = 128,    GetHalfTrit08Oct = 256,
            GetHalfTrit09Oct = 512,    GetHalfTrit10Oct = 1024,   GetHalfTrit11Oct = 2048,
            GetHalfTrit12Oct = 4096,   GetHalfTrit13Oct = 8192,   GetHalfTrit14Oct = 16384,
            GetHalfTrit15Oct = 32768,
			GetTrit0Oct =      3, GetTrit1Oct =    12, GetTrit2Oct =     48,
            GetTrit3Oct =    192, GetTrit4Oct =   768, GetTrit5Oct =   3072,
            GetTrit6Oct =  12288, GetTrit7Oct = 49152,
//			atanAr[]={               16416, 4096, 1024, 256, 64, 16, 4, 1};
			atanArOct[]={				  4104, 1024,  256,  64, 16,  4, 1, 0};
//---------------------------------------------------------------------------
float tss2dot6ToFloat(int tss);
/* ,  2    , 6     ,
               float */
//---------------------------------------------------------------------------
void printTss2dot6(int tss);
/*     2    ,
                            6     .*/
//---------------------------------------------------------------------------
int subTss8Digit(int leftTss, int rigthTss);
/*   .
      .*/
//---------------------------------------------------------------------------
int inversTss8Digit(int tss);
/*  ,  TSS . 
  ,  .
  ,  .
 .*/
//---------------------------------------------------------------------------
int getSignTss8Digit(int tss);
/*  TSS .     , 
   ,      .
70,000000t => 32768d = 1000000000000000b
11,111111t => 21845d = 0101010101010101b*/
//---------------------------------------------------------------------------
int shiftRightTss8Digit(int tss, int count);
/*   count  (count*2  )*/
//---------------------------------------------------------------------------
int atanTss8Digit(int tssY);
/*       CORDIC.*/
//---------------------------------------------------------------------------
int addTss8Digit(int left, int right);
//  2- TSS     .
// ,      ,      .
//---------------------------------------------------------------------------

#endif // TSSFIX8DIGIT_H
